Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO]: problemi aggiornamento
#1
Si stan verificando, in questi giorni, dei problemi con gli aggiornamenti. In particolare, accade che venga richiesta la disinstallazione di taluni (in certi casi, anche parecchi) pacchetti. Perlopiù, si tratta di pacchetti collegati a Tetex e a Texlive (e, di conseguenza, a Kile e LyX, etc...), ma si son regiatrsti anche casi diversi.
La ragione di questo bizzarro comportamento (che interessa specilamente chi usa la versione KDE a 32 bit, ma riguiarda anche altri che usano PCLinuxOS a 32 bit, un poco in tutte quante le versioni) pare risieda nel fatto che un alto numero di Server ha collocato male gli "indirizzi" (non domandatemi, per carità, cosa significhi esattamente questo: non ci capisco ubn accipicchia esattamente come la maggior parte di voi).
Il risultato è che si presentano, durante gli aggiornamenti, taluni "pacchetti difettosi", che impediscono l'effettuazione degli aggiornamenti. Tali pacchetti risultano peraltro, poi, "impossibili da riparare" e svariate dipendenze risultano mancanti all'appello.
La cosa è risolvibile (ma NON è il caso di far ciò, in questa particolare occasione, giacché i problemi son dovuti al Server e NON sono "reali") semplicemente selezionando il pacchetto (o i pacchetti) difettosi e scegliendo per la loro "rimozione completa": fatto questo, l'aggiornamento parte e procede fino alla fine.
Tuttavia, questa (che sarebbe la soluzione "consigliata" e quella da applicare in condizioni di normalità) NON è da applicarsi in questi giorni!
Non fatelo, dunque: NON applicate (per la situazione in oggetto) questa soluzione.

La soluzione giusta da applicare in questi giorni, invece, è la seguente:
1) aprite l'elenco dei Repository presente in Synaptic e RIMUOVETE (togliete la "spunta" che ci troverete)il Repository selezionato (non parlo del Repository del Megagames: quello lo potete tranquillamente lasciare in pace, ma dell'altro Repository, quello principale). Di norma, io consiglio di impostare il GARR di Napoli come Repository proncipale. Tuttavia, pare che proprio il GARR di Napoli sia uno dei Server che han commesso imprecisioni nel "locare" taluni pacchetti. OPer cui, se avere impostato (seguendo i miei suggerimenti) il GARR di mnapo9li come Repository, vi prego di levarlo (temporaneamente, ovvero sino a che non avran messo a posto le cose) e di impostarne un altro.
2) impostate un Repository (mettendoci accanto la spunta) che non presenti i problemi cui ho accennato o che -comunque- li abbia già risolti. Al momento in cui scrivo, pare che il Server svizzero abbia risolto le cose (questa info proviene da Pinoc, che si occupa della versione KDE assieme a Texstar, per cui è affidabiloe, ma non la posso garantir per esperienza diretta e personale). Posso, invece, indicare come SICURO con certezza (avendo verificato la cosa di persona) il Repository denominato:
ftp.headnet.ie
... che ha certamente risolto il disguido e che consente aggiornamenti regolari (io stesso ho appena aggiornato da Synaptic, proprio usando tale Repository).

Si tratta di un problema certamente temporaneo (e che NON afferisce i Sistemi a 64 bit), per cui, nei prossimi giorni, dovrebbe ritornar possibile effettuar aggiornamenti sicuri e regolari anche dagli altri Repository (a mano a mano che essi aggiusteranno le cose). Cercherò di tenere gli occhi aperti e di avvertire non appena tutto tornerà di nuovo alla normalità.
Grazie a tutti dell'attenzione. [Immagine: http://www.kolobok.us/smiles/artists/laie/Laie_22.gif]
[Immagine: http://www.pic4ever.com/images/2mpe5id.gif]Un poeta può sopravvivere a tutto tranne che ad un errore di stampa.(Andy Wahrol)
Cita messaggio
#2
Sembra che la situazione stia piano piano rientrando nella normalità. Vero è che alcuni pacchetti correlati a Tetex e ai fonts per LaTeX (nonché al programma "Pari") creano ancora dei problemi, ma parimenti vero è che tanti altri pacchetti funzionan di nuovo normalmente (anche per quel che concerne il Repository del GARR di Napoli). Sarà, penso, solo questione di giorni perchè tutto quanto rientri nella più piena normalità, ma già sin da ora mi sento di dire che la stragrande maggioranza dei pacchetti (indipendentemente dal Repository considerato) sono OK.
Di conseguenza, penso si possa cominciare a re-impostare il GARR di Napoli come Repository principale.
[Immagine: http://www.pic4ever.com/images/2mpe5id.gif]Un poeta può sopravvivere a tutto tranne che ad un errore di stampa.(Andy Wahrol)
Cita messaggio
#3
Il pacchetto
texlive
è stato appena aggiornato e la versione aggiornata è ora presente in tutti i Repository (GARR di Napoli incluso).
Installare (nella maniera normale, tramite Synaptic) tale aggiornamento scioglie la maggior parte dei problemi che si son presentati, in fase di aggiornamento, agli Utenti (specie a quelli che usano XFCE), negli ultimi giorni (problemi derivati dal fatto che il precedente aggiornamento di "texlive" era venuto fuori abbastanza male).
È garantito che ulteriori pacchetti aggiornati verranno rilasciati, giacché talune piccole questioni (l'installazione di alcuni pacchetti [pochi, ma tant'è] è, al momento, ancora impossibile) attendono ancora d'essere risolte.
Incoraggia, comunque, che sia stata presa, alla fine (e su impulso di Texstar) la strada che par più adeguata.

Sproggy, per chi usa XFCE, suggerisce, dopo l'aggiornamento del pacchetto, di verificare l'impostazione del Tema, sia in:
Menu/Xfce 4 Settings Manager/Gestore delle finestre
che in
Menu/Xfce 4 Settings manager/Aspetto
reimpostando, in ambo i casi, il Tema preferito.
[Immagine: http://www.pic4ever.com/images/2mpe5id.gif]Un poeta può sopravvivere a tutto tranne che ad un errore di stampa.(Andy Wahrol)
Cita messaggio
#4
Bene, importante che abbiano risolto.
Cita messaggio
#5
Posso dare piena conferma (avendo appena terminato di constatarlo io stesso di mia mano) riguardo al fatto che si è oramai imboccata una via che scioglie tutti quanti i nodi connessi ai "problemi di aggiornamento" che si son manifestati in PClinuxOS in generale (e nelle versioni con desktop XFCE in particolare) negli ultimi giorni. Adesso non si rilevano più le anomalie che si sono manifestate -in corso di aggiornamento dei programmi, specie laddove entravano in gioco i pacchetti "tetex", "texlive" e XFCE4- nei giorni scorsi.
Il grande miglioramento della situazione (tale da poter dire che il problema è davvero risolto) non riguarda solo le versioni "ufficiali" di PCLinuxOS, ma anche quelle "unofficials" (inclusa la versione Phinx, ad esempio).
I miei più sinceri complimenti (e la mia piena gratitudine) a tutti quelli che han positivamente contribuito a questa splendida soluzione. [Immagine: http://www.kolobok.us/smiles/icq/hi.gif]
[Immagine: http://www.pic4ever.com/images/2mpe5id.gif]Un poeta può sopravvivere a tutto tranne che ad un errore di stampa.(Andy Wahrol)
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)